cudaPointerAttributes(3)

NAME
cudaPointerAttributes -

SYNOPSIS

  Data Fields

void * devicePointer
void * hostPointer
int isManaged
enum cudaMemoryType memoryType

Detailed Description

CUDA pointer attributes

Field Documentation

  void* cudaPointerAttributes::devicePointer

The address which may be dereferenced on the current device to access the memory or NULL if no such address exists.

  void* cudaPointerAttributes::hostPointer

The address which may be dereferenced on the host to access the memory or NULL if no such address exists.

  int cudaPointerAttributes::isManaged

Indicates if this pointer points to managed memory

  enum cudaMemoryType cudaPointerAttributes::memoryType

The physical location of the memory, cudaMemoryTypeHost or cudaMemoryTypeDevice.

Author

Generated automatically by Doxygen from the source code.